Debian Bug report logs - #732248
ITP: python-taskflow -- A library to complete workflows/tasks in HA manner

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastien Badia <seb@sebian.fr>

Date: Sun, 15 Dec 2013 23:54:02 UTC

Owned by: Sebastien Badia <seb@sebian.fr>

Severity: wishlist

Fixed in version 0.1.2-1

Done: Sebastien Badia <seb@sebian.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#732248; Package wnpp. (Sun, 15 Dec 2013 23:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Badia <seb@sebian.fr>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 15 Dec 2013 23:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastien Badia <seb@sebian.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-taskflow -- A library to complete workflows/tasks in HA manner
Date: Mon, 16 Dec 2013 00:50:10 +0100
Package: wnpp
Severity: wishlist
Owner: Sebastien Badia <seb@sebian.fr>

* Package name    : python-taskflow
  Version         : 0.1.1
  Upstream Author : Taskflow Development Mailing List <taskflow-dev@lists.launchpad.net>
* URL             : https://github.com/stackforge/taskflow
* License         : Apache-2.0
  Programming Lang: Python
  Description     : A library to complete workflows/tasks in HA manner


Taskflow is a Python library for OpenStack that helps make task
execution easy, consistent, and reliable. It allows the creation of
lightweight task objects and/or functions that are combined together
into flows (aka: workflows). It includes engines for running these
flows in a manner that can be stopped, resumed, and safely reverted.
Projects implemented using the Taskflow library enjoy added state
resiliency, fault tolerance and simplified crash recovery. Think of it
as a way to protect an action, similar to the way transactions protect
operations in a RDBMS. If a manager process is terminated while an
action was in progress, there is a risk that unprotected code would
leave the system in a degraded or inconsistent state. With Taskflow,
interrupted actions may be resumed or rolled back automatically when a
manager process is resumed.
..
Using Taskflow to organize actions into lightweight task objects also
makes atomic code sequences easily testable (since a task does one and
only one thing). A flow facilitates the execution of a defined sequence
of ordered tasks (and imposes constraints on the way an engine can run
those tasks). A flow is a structure (a set of tasks linked together), so
it allows the calling code and the workflow to be disconnected so flows
can be reused. Taskflow provides a few mechanisms for structuring &
running flows and lets the developer pick and choose which one will work
for their needs. 



Marked as fixed in versions 0.1.2-1. Request was from Sebastien Badia <seb@sebian.fr> to control@bugs.debian.org. (Tue, 28 Jan 2014 22:57:04 GMT) Full text and rfc822 format available.

Reply sent to Sebastien Badia <seb@sebian.fr>:
You have taken responsibility. (Tue, 28 Jan 2014 22:57:09 GMT) Full text and rfc822 format available.

Notification sent to Sebastien Badia <seb@sebian.fr>:
Bug acknowledged by developer. (Tue, 28 Jan 2014 22:57:10 GMT) Full text and rfc822 format available.

Message #12 received at 732248-close@bugs.debian.org (full text, mbox):

From: Sebastien Badia <seb@sebian.fr>
To: 732248-close@bugs.debian.org
Cc: Control Debian <control@bugs.debian.org>
Subject: Bug#732248: fixed in python-taskflow 0.1.2-1
Date: Tue, 28 Jan 2014 23:52:02 +0100
fixed 732248 0.1.2-1
thanks

This ITP was fixed by zigo.

Seb

-- 
Sebastien Badia



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Feb 2014 07:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:59:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.